<?php
/**
 * KeyCode: f55c8q31
 * Webstar/keycode?id=f55c8q31
 * Don't Delete This File
 */

elgg_register_event_handler('init','system','imgur_init');

function imgur_init() {
	
	elgg_extend_view('js/elgg', 'imgur/js');
	elgg_register_js('liteuploader', 'mod/imgur/lib/jquery.liteuploader.js');
	elgg_load_js('liteuploader');

	
	elgg_register_ajax_view('imgur/upload');

	
	$client_id = elgg_get_plugin_setting('client_id', 'imgur');
	if ($client_id && elgg_is_active_plugin ('ckeditor')) {
		elgg_register_plugin_hook_handler('register', 'menu:longtext', 'imgur_longtext_menu');
		
		elgg_extend_view('page/elements/body', 'imgur/form');
	}
}

function imgur_longtext_menu($hook, $type, $items, $vars) {
	$items[] = ElggMenuItem::factory(array(
		'name' => 'Imgur Media Upload',
		'id' => 'imgur',
		'link_class' => 'elgg-longtext-control',
		'href' => '#',
		'text' => 'Upload Image',
	));

	return $items;
}